use serde::{Deserialize, Serialize};

use super::PotId;

#[derive(Serialize, Deserialize, Clone, Debug, PartialEq)]
pub struct Pot {
    pub id: PotId,
    pub app_type: String,
}

impl Pot {
    pub fn new(id: PotId, app_type: String) -> Self {
        Pot { id, app_type }
    }

    pub fn id(&self) -> &PotId {
        &self.id
    }
    pub fn app_type(&self) -> &str {
        &self.app_type
    }
}
