use bonsaidb::core::schema::Schema;

use apps::DbApp;
use elements::DbElement;
use peers::DbPeer;
use pot_memberships::DbPotMembership;
use pots::DbPot;

mod apps;
mod elements;
mod peers;
mod pot_memberships;
mod pots;

#[derive(Schema, Debug)]
#[schema(name = "ubisync", collections = [DbElement, DbPotMembership, DbApp, DbPot, DbPeer])]
pub struct UbisyncSchema;

#[cfg(test)]
mod tests {}

