use bonsaidb::local::{
    config::{Builder, StorageConfiguration},
    Database as BonsaiDb,
};
use uuid::Uuid;

use self::collections::UbisyncSchema;

mod as_key;
mod collections;

pub struct StateDB {
    db: BonsaiDb,
}

impl StateDB {
    pub fn init(path: Option<String>) -> Self {
        let storage_conf = match path {
            Some(p) => StorageConfiguration::new(p),
            None => StorageConfiguration::new(format!("/tmp/{}", Uuid::new_v4())),
            // None => StorageConfiguration::default().memory_only()
        };
        StateDB {
            db: BonsaiDb::open::<UbisyncSchema>(storage_conf).unwrap(),
        }
    }
}
